Frontend Donor
Handle Donor File Uploads
GET
/
frontend
/
donor
/
dashboard
/
uploads
/
{client_id}
/
{program_id}
/
{entity_id}
/
{session_id}
Handle Donor File Uploads
curl --request GET \
--url https://api.helpyousponsor.com/v1/frontend/donor/dashboard/uploads/{client_id}/{program_id}/{entity_id}/{session_id} \
--header 'session_id: <api-key>'import requests
url = "https://api.helpyousponsor.com/v1/frontend/donor/dashboard/uploads/{client_id}/{program_id}/{entity_id}/{session_id}"
headers = {"session_id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {session_id: '<api-key>'}};
fetch('https://api.helpyousponsor.com/v1/frontend/donor/dashboard/uploads/{client_id}/{program_id}/{entity_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"client_id": "<string>",
"program_id": "<string>",
"id": "<string>",
"type": "<string>",
"upload": {},
"slug": "<string>",
"box_folder_id": "<string>",
"box_access_token": "<string>",
"program": {},
"files_full": true,
"number_of_files_allowed": 123,
"entity_id": "<string>",
"disable_program_link": "<string>"
}{
"status": "<string>",
"redirect": "<string>"
}Authorizations
Use a session id to authenticate
Path Parameters
Unique identifier for the client
Unique identifier for the program
Unique identifier for the entity
Session identifier for the donor
⌘I
Handle Donor File Uploads

